com.mapinfo.midev.language.aggregation

## Class AggregatingQueryAttribute

- java.lang.Object
- - com.mapinfo.midev.language.filter.QueryAttribute
  - - com.mapinfo.midev.language.aggregation.AggregatingQueryAttribute

All Implemented Interfaces:
  Serializable

    public final class AggregatingQueryAttribute
    extends QueryAttribute

Represents an attribute that is part of the projection list of a `SELECT` clause that is a parameter to an aggregation function. This also encompasses an attribute in a GROUP BY as well.

A `AggregatingQueryAttribute` is composed of a `AggregatingOperation` and the attribute that the aggregation works on.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.mapinfo.midev.language.filter.QueryAttribute

`SEPARATOR, WILDCARD`

### Constructor Summary

Constructors
Constructor and Description
`AggregatingQueryAttribute(String attributeName, AggregatingOperation aggregatingOperation)` Constructs a new `AggregatingQueryAttribute` with the specified attribute name and operation.
`AggregatingQueryAttribute(String attributeName, String alias, AggregatingOperation aggregatingOperation)` Constructs a new `AggregatingQueryAttribute` for the specified attribute name, operation and alias for the resulting attribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`AggregatingOperation` `getAggregatingOperation()` Returns the `AggregatingOperation` defined for this attribute.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class com.mapinfo.midev.language.filter.QueryAttribute

`getAlias, getAttributeName, getCopy`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AggregatingQueryAttribute

    public AggregatingQueryAttribute(String attributeName,
                                     AggregatingOperation aggregatingOperation)

Constructs a new `AggregatingQueryAttribute` with the specified attribute name and operation.

Parameters:
  `attributeName` - the attribute name.
  `aggregatingOperation` - the operation to apply to this attribute.

#### AggregatingQueryAttribute

    public AggregatingQueryAttribute(String attributeName,
                                     String alias,
                                     AggregatingOperation aggregatingOperation)

Constructs a new `AggregatingQueryAttribute` for the specified attribute name, operation and alias for the resulting attribute.

Parameters:
  `attributeName` - the attribute name.
  `alias` - the alias for the attribute.
  `aggregatingOperation` - the operation to apply to this attribute.

### Method Detail

#### getAggregatingOperation

    public AggregatingOperation getAggregatingOperation()

Returns the `AggregatingOperation` defined for this attribute.

Returns:
  the `AggregatingOperation` defined for this attribute.

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `QueryAttribute`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `QueryAttribute`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`